Subject: Re: lxc: cannot start Fedora30 and Debian Stretch in LXC containers

From: Ryutaroh Matsumoto <[email-masked]>
Date: Sat, 25 Apr 2020 04:47:13 +0900 (JST)

Hi Mark,

Thanks for your help.
I was able to use Gentoo in the LXC container on Devuan.
So this is not a general problem of LXC.
It is specific to Devuan hosts and systemd containers.

Booting with apparmor=0 did not help.
I selected openrc. Replacing with sysv-rc did not help.

I wonder what is the cgroup mounts without cgroupfs-mount, so
I tried apt-get purge cgroupfs-mount, and got the following.
I have no idea how to remove cgroupfs-mount from Devuan 3:
Removing cgroupfs-mount (1.4) ...
Unmounting cgroupfs hierarchyumount: /sys/fs/cgroup/elogind: target is busy.
invoke-rc.d: initscript cgroupfs-mount, action "stop" failed.
dpkg: error processing package cgroupfs-mount (--remove):
 installed cgroupfs-mount package pre-removal script subprocess returned error exit status 32
Errors were encountered while processing:
 cgroupfs-mount
E: Sub-process /usr/bin/dpkg returned an error code (1)

The content of /proc/mounts is as follows:
sysfs /sys sysfs rw,nosuid,nodev,noexec,relatime 0 0
proc /proc proc rw,nosuid,nodev,noexec,relatime 0 0
udev /dev devtmpfs rw,nosuid,relatime,size=2004912k,nr_inodes=501228,mode=755 0 0
devpts /dev/pts devpts rw,nosuid,noexec,relatime,gid=5,mode=620,ptmxmode=000 0 0
tmpfs /run tmpfs rw,nosuid,noexec,relatime,size=403952k,mode=755 0 0
/dev/vda2 / btrfs rw,noatime,space_cache,subvolid=5,subvol=/ 0 0
tmpfs /run/lock tmpfs rw,nosuid,nodev,noexec,relatime,size=5120k 0 0
pstore /sys/fs/pstore pstore rw,relatime 0 0
tmpfs /dev/shm tmpfs rw,nosuid,nodev,noexec,relatime,size=1646140k 0 0
/dev/vda1 /boot/efi vfat rw,relatime,fmask=0077,dmask=0077,codepage=437,iocharset=ascii,shortname=mixed,utf8,errors=remount-ro 0 0
securityfs /sys/kernel/security securityfs rw,relatime 0 0
cgroup /sys/fs/cgroup tmpfs rw,relatime,mode=755 0 0
cgroup /sys/fs/cgroup/memory cgroup rw,relatime,memory 0 0
cgroup /sys/fs/cgroup/freezer cgroup rw,relatime,freezer 0 0
cgroup /sys/fs/cgroup/net_cls cgroup rw,relatime,net_cls 0 0
cgroup /sys/fs/cgroup/perf_event cgroup rw,relatime,perf_event 0 0
cgroup /sys/fs/cgroup/net_prio cgroup rw,relatime,net_prio 0 0
cgroup /sys/fs/cgroup/pids cgroup rw,relatime,pids 0 0
cgroup /sys/fs/cgroup/rdma cgroup rw,relatime,rdma 0 0
cgroup2 /sys/fs/cgroup/unified cgroup2 rw,nosuid,nodev,noexec,relatime,nsdelegate 0 0
cgroup /sys/fs/cgroup/elogind cgroup rw,nosuid,nodev,noexec,relatime,xattr,release_agent=/lib/elogind/elogind-cgroups-agent,name=elogind 0 0
tmpfs /run/user/0 tmpfs rw,nosuid,nodev,relatime,size=403948k,mode=700 0 0

Stating that Devuan LXC does not support distros with systemd
and closing this but might be a good idea...

Best regards, Ryutaroh

From: Mark Hindley <[email-masked]>
Subject: Re: lxc: cannot start Fedora30 and Debian Stretch in LXC containers
Date: Fri, 24 Apr 2020 18:05:47 +0100

> The other thing that occurred to me is whether apparmor is interfering? The
> `Operation not permitted' is suspicious of that.
> 
> There is a Debian wontfix bug relating to it: #947863.
> 
> Do you have apparmor enabled? If so does disabling it help?
> 
> Thanks
> 
> Mark